import { addSchema } from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
import { Model, setSchema, createTypeMetaGuard } from "@kubernetes-models/base";
import { register } from "@kubernetes-models/validate";
const schemaId = "fluentbit.fluent.io.v1alpha2.ClusterFluentBitConfig";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentbit.fluent.io/v1alpha2"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "ClusterFluentBitConfig"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "filterSelector": {
                    "properties": {
                        "matchExpressions": {
                            "items": {
                                "properties": {
                                    "key": {
                                        "type": "string"
                                    },
                                    "operator": {
                                        "type": "string"
                                    },
                                    "values": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "key",
                                    "operator"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "matchLabels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "inputSelector": {
                    "properties": {
                        "matchExpressions": {
                            "items": {
                                "properties": {
                                    "key": {
                                        "type": "string"
                                    },
                                    "operator": {
                                        "type": "string"
                                    },
                                    "values": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "key",
                                    "operator"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "matchLabels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "namespace": {
                    "type": "string",
                    "nullable": true
                },
                "outputSelector": {
                    "properties": {
                        "matchExpressions": {
                            "items": {
                                "properties": {
                                    "key": {
                                        "type": "string"
                                    },
                                    "operator": {
                                        "type": "string"
                                    },
                                    "values": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "key",
                                    "operator"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "matchLabels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "parserSelector": {
                    "properties": {
                        "matchExpressions": {
                            "items": {
                                "properties": {
                                    "key": {
                                        "type": "string"
                                    },
                                    "operator": {
                                        "type": "string"
                                    },
                                    "values": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "key",
                                    "operator"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "matchLabels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "service": {
                    "properties": {
                        "daemon": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "flushSeconds": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "graceSeconds": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "hcErrorsCount": {
                            "format": "int64",
                            "type": "integer",
                            "minimum": 1,
                            "nullable": true
                        },
                        "hcPeriod": {
                            "format": "int64",
                            "type": "integer",
                            "minimum": 1,
                            "nullable": true
                        },
                        "hcRetryFailureCount": {
                            "format": "int64",
                            "type": "integer",
                            "minimum": 1,
                            "nullable": true
                        },
                        "healthCheck": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "httpListen": {
                            "type": "string",
                            "pattern": "^\\d{1,3}.\\d{1,3}.\\d{1,3}.\\d{1,3}$",
                            "nullable": true
                        },
                        "httpPort": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "httpServer": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "logFile": {
                            "type": "string",
                            "nullable": true
                        },
                        "logLevel": {
                            "enum": [
                                "off",
                                "error",
                                "warning",
                                "info",
                                "debug",
                                "trace"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "parsersFile": {
                            "type": "string",
                            "nullable": true
                        },
                        "storage": {
                            "properties": {
                                "backlogMemLimit": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "checksum": {
                                    "enum": [
                                        "on",
                                        "off"
                                    ],
                                    "type": "string",
                                    "nullable": true
                                },
                                "deleteIrrecoverableChunks": {
                                    "enum": [
                                        "on",
                                        "off"
                                    ],
                                    "type": "string",
                                    "nullable": true
                                },
                                "maxChunksUp": {
                                    "format": "int64",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "metrics": {
                                    "enum": [
                                        "on",
                                        "off"
                                    ],
                                    "type": "string",
                                    "nullable": true
                                },
                                "path": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "sync": {
                                    "enum": [
                                        "normal",
                                        "full"
                                    ],
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * ClusterFluentBitConfig is the Schema for the cluster-level fluentbitconfigs API
 */
export class ClusterFluentBitConfig extends Model {
    constructor(data) {
        super({
            apiVersion: ClusterFluentBitConfig.apiVersion,
            kind: ClusterFluentBitConfig.kind,
            ...data
        });
    }
}
ClusterFluentBitConfig.apiVersion = "fluentbit.fluent.io/v1alpha2";
ClusterFluentBitConfig.kind = "ClusterFluentBitConfig";
ClusterFluentBitConfig.is = createTypeMetaGuard(ClusterFluentBitConfig);
setSchema(ClusterFluentBitConfig, schemaId, () => {
    addSchema();
    register(schemaId, schema);
});
