"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterParser = void 0;
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta");
const base_1 = require("@kubernetes-models/base");
const validate_1 = require("@kubernetes-models/validate");
const schemaId = "fluentbit.fluent.io.v1alpha2.ClusterParser";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentbit.fluent.io/v1alpha2"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "ClusterParser"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "decoders": {
                    "items": {
                        "properties": {
                            "decodeField": {
                                "type": "string",
                                "nullable": true
                            },
                            "decodeFieldAs": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "json": {
                    "properties": {
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "logfmt": {
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "ltsv": {
                    "properties": {
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "types": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "regex": {
                    "properties": {
                        "regex": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeOffset": {
                            "type": "string",
                            "nullable": true
                        },
                        "types": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * ClusterParser is the Schema for the cluster-level parsers API
 */
class ClusterParser extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: ClusterParser.apiVersion,
            kind: ClusterParser.kind,
            ...data
        });
    }
}
exports.ClusterParser = ClusterParser;
ClusterParser.apiVersion = "fluentbit.fluent.io/v1alpha2";
ClusterParser.kind = "ClusterParser";
ClusterParser.is = (0, base_1.createTypeMetaGuard)(ClusterParser);
(0, base_1.setSchema)(ClusterParser, schemaId, () => {
    (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.addSchema)();
    (0, validate_1.register)(schemaId, schema);
});
