"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Collector = void 0;
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta");
const base_1 = require("@kubernetes-models/base");
const validate_1 = require("@kubernetes-models/validate");
const schemaId = "fluentbit.fluent.io.v1alpha2.Collector";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentbit.fluent.io/v1alpha2"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "Collector"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "affinity": {
                    "properties": {
                        "nodeAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "preference": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "preference",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "properties": {
                                        "nodeSelectorTerms": {
                                            "items": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchFields": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            },
                                            "type": "array"
                                        }
                                    },
                                    "required": [
                                        "nodeSelectorTerms"
                                    ],
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "podAntiAffinity": {
                            "properties": {
                                "preferredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "podAffinityTerm": {
                                                "properties": {
                                                    "labelSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaceSelector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "namespaces": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "topologyKey": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "topologyKey"
                                                ],
                                                "type": "object"
                                            },
                                            "weight": {
                                                "format": "int32",
                                                "type": "integer"
                                            }
                                        },
                                        "required": [
                                            "podAffinityTerm",
                                            "weight"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "requiredDuringSchedulingIgnoredDuringExecution": {
                                    "items": {
                                        "properties": {
                                            "labelSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaceSelector": {
                                                "properties": {
                                                    "matchExpressions": {
                                                        "items": {
                                                            "properties": {
                                                                "key": {
                                                                    "type": "string"
                                                                },
                                                                "operator": {
                                                                    "type": "string"
                                                                },
                                                                "values": {
                                                                    "items": {
                                                                        "type": "string"
                                                                    },
                                                                    "type": "array",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "required": [
                                                                "key",
                                                                "operator"
                                                            ],
                                                            "type": "object"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "matchLabels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "namespaces": {
                                                "items": {
                                                    "type": "string"
                                                },
                                                "type": "array",
                                                "nullable": true
                                            },
                                            "topologyKey": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "topologyKey"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "annotations": {
                    "additionalProperties": {
                        "type": "string"
                    },
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "args": {
                    "items": {
                        "type": "string"
                    },
                    "type": "array",
                    "nullable": true
                },
                "bufferPath": {
                    "type": "string",
                    "nullable": true
                },
                "disableService": {
                    "type": "boolean",
                    "nullable": true
                },
                "fluentBitConfigName": {
                    "type": "string",
                    "nullable": true
                },
                "hostNetwork": {
                    "type": "boolean",
                    "nullable": true
                },
                "image": {
                    "type": "string",
                    "nullable": true
                },
                "imagePullPolicy": {
                    "type": "string",
                    "nullable": true
                },
                "imagePullSecrets": {
                    "items": {
                        "properties": {
                            "name": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "nodeSelector": {
                    "additionalProperties": {
                        "type": "string"
                    },
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "ports": {
                    "items": {
                        "properties": {
                            "containerPort": {
                                "format": "int32",
                                "type": "integer"
                            },
                            "hostIP": {
                                "type": "string",
                                "nullable": true
                            },
                            "hostPort": {
                                "format": "int32",
                                "type": "integer",
                                "nullable": true
                            },
                            "name": {
                                "type": "string",
                                "nullable": true
                            },
                            "protocol": {
                                "default": "TCP",
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "required": [
                            "containerPort"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "priorityClassName": {
                    "type": "string",
                    "nullable": true
                },
                "pvc": {
                    "properties": {
                        "apiVersion": {
                            "type": "string",
                            "nullable": true
                        },
                        "kind": {
                            "type": "string",
                            "nullable": true
                        },
                        "metadata": {
                            "properties": {
                                "annotations": {
                                    "additionalProperties": {
                                        "type": "string"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "finalizers": {
                                    "items": {
                                        "type": "string"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "labels": {
                                    "additionalProperties": {
                                        "type": "string"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "name": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "namespace": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "spec": {
                            "properties": {
                                "accessModes": {
                                    "items": {
                                        "type": "string"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "dataSource": {
                                    "properties": {
                                        "apiGroup": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "kind": {
                                            "type": "string"
                                        },
                                        "name": {
                                            "type": "string"
                                        }
                                    },
                                    "required": [
                                        "kind",
                                        "name"
                                    ],
                                    "type": "object",
                                    "nullable": true
                                },
                                "dataSourceRef": {
                                    "properties": {
                                        "apiGroup": {
                                            "type": "string",
                                            "nullable": true
                                        },
                                        "kind": {
                                            "type": "string"
                                        },
                                        "name": {
                                            "type": "string"
                                        },
                                        "namespace": {
                                            "type": "string",
                                            "nullable": true
                                        }
                                    },
                                    "required": [
                                        "kind",
                                        "name"
                                    ],
                                    "type": "object",
                                    "nullable": true
                                },
                                "resources": {
                                    "properties": {
                                        "claims": {
                                            "items": {
                                                "properties": {
                                                    "name": {
                                                        "type": "string"
                                                    }
                                                },
                                                "required": [
                                                    "name"
                                                ],
                                                "type": "object"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "limits": {
                                            "additionalProperties": {
                                                "anyOf": [
                                                    {
                                                        "type": "integer"
                                                    },
                                                    {
                                                        "type": "string"
                                                    }
                                                ],
                                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        },
                                        "requests": {
                                            "additionalProperties": {
                                                "anyOf": [
                                                    {
                                                        "type": "integer"
                                                    },
                                                    {
                                                        "type": "string"
                                                    }
                                                ],
                                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "selector": {
                                    "properties": {
                                        "matchExpressions": {
                                            "items": {
                                                "properties": {
                                                    "key": {
                                                        "type": "string"
                                                    },
                                                    "operator": {
                                                        "type": "string"
                                                    },
                                                    "values": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    }
                                                },
                                                "required": [
                                                    "key",
                                                    "operator"
                                                ],
                                                "type": "object"
                                            },
                                            "type": "array",
                                            "nullable": true
                                        },
                                        "matchLabels": {
                                            "additionalProperties": {
                                                "type": "string"
                                            },
                                            "type": "object",
                                            "properties": {},
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "storageClassName": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "volumeMode": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "volumeName": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "status": {
                            "properties": {
                                "accessModes": {
                                    "items": {
                                        "type": "string"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "allocatedResources": {
                                    "additionalProperties": {
                                        "anyOf": [
                                            {
                                                "type": "integer"
                                            },
                                            {
                                                "type": "string"
                                            }
                                        ],
                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "capacity": {
                                    "additionalProperties": {
                                        "anyOf": [
                                            {
                                                "type": "integer"
                                            },
                                            {
                                                "type": "string"
                                            }
                                        ],
                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                    },
                                    "type": "object",
                                    "properties": {},
                                    "nullable": true
                                },
                                "conditions": {
                                    "items": {
                                        "properties": {
                                            "lastProbeTime": {
                                                "format": "date-time",
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "lastTransitionTime": {
                                                "format": "date-time",
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "message": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "reason": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "status": {
                                                "type": "string"
                                            },
                                            "type": {
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "status",
                                            "type"
                                        ],
                                        "type": "object"
                                    },
                                    "type": "array",
                                    "nullable": true
                                },
                                "phase": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "resizeStatus": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "rbacRules": {
                    "items": {
                        "properties": {
                            "apiGroups": {
                                "items": {
                                    "type": "string"
                                },
                                "type": "array",
                                "nullable": true
                            },
                            "nonResourceURLs": {
                                "items": {
                                    "type": "string"
                                },
                                "type": "array",
                                "nullable": true
                            },
                            "resourceNames": {
                                "items": {
                                    "type": "string"
                                },
                                "type": "array",
                                "nullable": true
                            },
                            "resources": {
                                "items": {
                                    "type": "string"
                                },
                                "type": "array",
                                "nullable": true
                            },
                            "verbs": {
                                "items": {
                                    "type": "string"
                                },
                                "type": "array"
                            }
                        },
                        "required": [
                            "verbs"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "resources": {
                    "properties": {
                        "claims": {
                            "items": {
                                "properties": {
                                    "name": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "name"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "limits": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "requests": {
                            "additionalProperties": {
                                "anyOf": [
                                    {
                                        "type": "integer"
                                    },
                                    {
                                        "type": "string"
                                    }
                                ],
                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "runtimeClassName": {
                    "type": "string",
                    "nullable": true
                },
                "schedulerName": {
                    "type": "string",
                    "nullable": true
                },
                "secrets": {
                    "items": {
                        "type": "string"
                    },
                    "type": "array",
                    "nullable": true
                },
                "securityContext": {
                    "properties": {
                        "fsGroup": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "fsGroupChangePolicy": {
                            "type": "string",
                            "nullable": true
                        },
                        "runAsGroup": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "runAsNonRoot": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "runAsUser": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "seLinuxOptions": {
                            "properties": {
                                "level": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "role": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "type": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "user": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "seccompProfile": {
                            "properties": {
                                "localhostProfile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "type": {
                                    "type": "string"
                                }
                            },
                            "required": [
                                "type"
                            ],
                            "type": "object",
                            "nullable": true
                        },
                        "supplementalGroups": {
                            "items": {
                                "format": "int64",
                                "type": "integer"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "sysctls": {
                            "items": {
                                "properties": {
                                    "name": {
                                        "type": "string"
                                    },
                                    "value": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "name",
                                    "value"
                                ],
                                "type": "object"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "windowsOptions": {
                            "properties": {
                                "gmsaCredentialSpec": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "gmsaCredentialSpecName": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "hostProcess": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "runAsUserName": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "service": {
                    "properties": {
                        "annotations": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "labels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "name": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "serviceAccountAnnotations": {
                    "additionalProperties": {
                        "type": "string"
                    },
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "tolerations": {
                    "items": {
                        "properties": {
                            "effect": {
                                "type": "string",
                                "nullable": true
                            },
                            "key": {
                                "type": "string",
                                "nullable": true
                            },
                            "operator": {
                                "type": "string",
                                "nullable": true
                            },
                            "tolerationSeconds": {
                                "format": "int64",
                                "type": "integer",
                                "nullable": true
                            },
                            "value": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "volumes": {
                    "items": {
                        "properties": {
                            "awsElasticBlockStore": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "partition": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "volumeID": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "volumeID"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "azureDisk": {
                                "properties": {
                                    "cachingMode": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "diskName": {
                                        "type": "string"
                                    },
                                    "diskURI": {
                                        "type": "string"
                                    },
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "kind": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "diskName",
                                    "diskURI"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "azureFile": {
                                "properties": {
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretName": {
                                        "type": "string"
                                    },
                                    "shareName": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "secretName",
                                    "shareName"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "cephfs": {
                                "properties": {
                                    "monitors": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array"
                                    },
                                    "path": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretFile": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "user": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "monitors"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "cinder": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "volumeID": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "volumeID"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "configMap": {
                                "properties": {
                                    "defaultMode": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "items": {
                                        "items": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "mode": {
                                                    "format": "int32",
                                                    "type": "integer",
                                                    "nullable": true
                                                },
                                                "path": {
                                                    "type": "string"
                                                }
                                            },
                                            "required": [
                                                "key",
                                                "path"
                                            ],
                                            "type": "object"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "name": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "optional": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "csi": {
                                "properties": {
                                    "driver": {
                                        "type": "string"
                                    },
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "nodePublishSecretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "volumeAttributes": {
                                        "additionalProperties": {
                                            "type": "string"
                                        },
                                        "type": "object",
                                        "properties": {},
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "driver"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "downwardAPI": {
                                "properties": {
                                    "defaultMode": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "items": {
                                        "items": {
                                            "properties": {
                                                "fieldRef": {
                                                    "properties": {
                                                        "apiVersion": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "fieldPath": {
                                                            "type": "string"
                                                        }
                                                    },
                                                    "required": [
                                                        "fieldPath"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "mode": {
                                                    "format": "int32",
                                                    "type": "integer",
                                                    "nullable": true
                                                },
                                                "path": {
                                                    "type": "string"
                                                },
                                                "resourceFieldRef": {
                                                    "properties": {
                                                        "containerName": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "divisor": {
                                                            "oneOf": [
                                                                {
                                                                    "anyOf": [
                                                                        {
                                                                            "type": "integer"
                                                                        },
                                                                        {
                                                                            "type": "string"
                                                                        }
                                                                    ],
                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                },
                                                                {
                                                                    "type": "null"
                                                                }
                                                            ]
                                                        },
                                                        "resource": {
                                                            "type": "string"
                                                        }
                                                    },
                                                    "required": [
                                                        "resource"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "path"
                                            ],
                                            "type": "object"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "emptyDir": {
                                "properties": {
                                    "medium": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "sizeLimit": {
                                        "oneOf": [
                                            {
                                                "anyOf": [
                                                    {
                                                        "type": "integer"
                                                    },
                                                    {
                                                        "type": "string"
                                                    }
                                                ],
                                                "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                            },
                                            {
                                                "type": "null"
                                            }
                                        ]
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "ephemeral": {
                                "properties": {
                                    "volumeClaimTemplate": {
                                        "properties": {
                                            "metadata": {
                                                "properties": {
                                                    "annotations": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    },
                                                    "finalizers": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "labels": {
                                                        "additionalProperties": {
                                                            "type": "string"
                                                        },
                                                        "type": "object",
                                                        "properties": {},
                                                        "nullable": true
                                                    },
                                                    "name": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "namespace": {
                                                        "type": "string",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "spec": {
                                                "properties": {
                                                    "accessModes": {
                                                        "items": {
                                                            "type": "string"
                                                        },
                                                        "type": "array",
                                                        "nullable": true
                                                    },
                                                    "dataSource": {
                                                        "properties": {
                                                            "apiGroup": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "kind": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string"
                                                            }
                                                        },
                                                        "required": [
                                                            "kind",
                                                            "name"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "dataSourceRef": {
                                                        "properties": {
                                                            "apiGroup": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "kind": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string"
                                                            },
                                                            "namespace": {
                                                                "type": "string",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "kind",
                                                            "name"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "resources": {
                                                        "properties": {
                                                            "claims": {
                                                                "items": {
                                                                    "properties": {
                                                                        "name": {
                                                                            "type": "string"
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "name"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "limits": {
                                                                "additionalProperties": {
                                                                    "anyOf": [
                                                                        {
                                                                            "type": "integer"
                                                                        },
                                                                        {
                                                                            "type": "string"
                                                                        }
                                                                    ],
                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            },
                                                            "requests": {
                                                                "additionalProperties": {
                                                                    "anyOf": [
                                                                        {
                                                                            "type": "integer"
                                                                        },
                                                                        {
                                                                            "type": "string"
                                                                        }
                                                                    ],
                                                                    "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "selector": {
                                                        "properties": {
                                                            "matchExpressions": {
                                                                "items": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "operator": {
                                                                            "type": "string"
                                                                        },
                                                                        "values": {
                                                                            "items": {
                                                                                "type": "string"
                                                                            },
                                                                            "type": "array",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key",
                                                                        "operator"
                                                                    ],
                                                                    "type": "object"
                                                                },
                                                                "type": "array",
                                                                "nullable": true
                                                            },
                                                            "matchLabels": {
                                                                "additionalProperties": {
                                                                    "type": "string"
                                                                },
                                                                "type": "object",
                                                                "properties": {},
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "storageClassName": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "volumeMode": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "volumeName": {
                                                        "type": "string",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object"
                                            }
                                        },
                                        "required": [
                                            "spec"
                                        ],
                                        "type": "object",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "fc": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "lun": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "targetWWNs": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "wwids": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "flexVolume": {
                                "properties": {
                                    "driver": {
                                        "type": "string"
                                    },
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "options": {
                                        "additionalProperties": {
                                            "type": "string"
                                        },
                                        "type": "object",
                                        "properties": {},
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "driver"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "flocker": {
                                "properties": {
                                    "datasetName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "datasetUUID": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "gcePersistentDisk": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "partition": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "pdName": {
                                        "type": "string"
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "pdName"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "gitRepo": {
                                "properties": {
                                    "directory": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "repository": {
                                        "type": "string"
                                    },
                                    "revision": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "repository"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "glusterfs": {
                                "properties": {
                                    "endpoints": {
                                        "type": "string"
                                    },
                                    "path": {
                                        "type": "string"
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "endpoints",
                                    "path"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "hostPath": {
                                "properties": {
                                    "path": {
                                        "type": "string"
                                    },
                                    "type": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "path"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "iscsi": {
                                "properties": {
                                    "chapAuthDiscovery": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "chapAuthSession": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "initiatorName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "iqn": {
                                        "type": "string"
                                    },
                                    "iscsiInterface": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "lun": {
                                        "format": "int32",
                                        "type": "integer"
                                    },
                                    "portals": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "targetPortal": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "iqn",
                                    "lun",
                                    "targetPortal"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "name": {
                                "type": "string"
                            },
                            "nfs": {
                                "properties": {
                                    "path": {
                                        "type": "string"
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "server": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "path",
                                    "server"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "persistentVolumeClaim": {
                                "properties": {
                                    "claimName": {
                                        "type": "string"
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "claimName"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "photonPersistentDisk": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "pdID": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "pdID"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "portworxVolume": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "volumeID": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "volumeID"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "projected": {
                                "properties": {
                                    "defaultMode": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "sources": {
                                        "items": {
                                            "properties": {
                                                "configMap": {
                                                    "properties": {
                                                        "items": {
                                                            "items": {
                                                                "properties": {
                                                                    "key": {
                                                                        "type": "string"
                                                                    },
                                                                    "mode": {
                                                                        "format": "int32",
                                                                        "type": "integer",
                                                                        "nullable": true
                                                                    },
                                                                    "path": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "key",
                                                                    "path"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "downwardAPI": {
                                                    "properties": {
                                                        "items": {
                                                            "items": {
                                                                "properties": {
                                                                    "fieldRef": {
                                                                        "properties": {
                                                                            "apiVersion": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "fieldPath": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "fieldPath"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    },
                                                                    "mode": {
                                                                        "format": "int32",
                                                                        "type": "integer",
                                                                        "nullable": true
                                                                    },
                                                                    "path": {
                                                                        "type": "string"
                                                                    },
                                                                    "resourceFieldRef": {
                                                                        "properties": {
                                                                            "containerName": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "divisor": {
                                                                                "oneOf": [
                                                                                    {
                                                                                        "anyOf": [
                                                                                            {
                                                                                                "type": "integer"
                                                                                            },
                                                                                            {
                                                                                                "type": "string"
                                                                                            }
                                                                                        ],
                                                                                        "pattern": "^(\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))(([KMGTPE]i)|[numkMGTPE]|([eE](\\+|-)?(([0-9]+(\\.[0-9]*)?)|(\\.[0-9]+))))?$"
                                                                                    },
                                                                                    {
                                                                                        "type": "null"
                                                                                    }
                                                                                ]
                                                                            },
                                                                            "resource": {
                                                                                "type": "string"
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "resource"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "path"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "secret": {
                                                    "properties": {
                                                        "items": {
                                                            "items": {
                                                                "properties": {
                                                                    "key": {
                                                                        "type": "string"
                                                                    },
                                                                    "mode": {
                                                                        "format": "int32",
                                                                        "type": "integer",
                                                                        "nullable": true
                                                                    },
                                                                    "path": {
                                                                        "type": "string"
                                                                    }
                                                                },
                                                                "required": [
                                                                    "key",
                                                                    "path"
                                                                ],
                                                                "type": "object"
                                                            },
                                                            "type": "array",
                                                            "nullable": true
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "serviceAccountToken": {
                                                    "properties": {
                                                        "audience": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "expirationSeconds": {
                                                            "format": "int64",
                                                            "type": "integer",
                                                            "nullable": true
                                                        },
                                                        "path": {
                                                            "type": "string"
                                                        }
                                                    },
                                                    "required": [
                                                        "path"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "quobyte": {
                                "properties": {
                                    "group": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "registry": {
                                        "type": "string"
                                    },
                                    "tenant": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "user": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "volume": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "registry",
                                    "volume"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "rbd": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "image": {
                                        "type": "string"
                                    },
                                    "keyring": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "monitors": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array"
                                    },
                                    "pool": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "user": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "image",
                                    "monitors"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "scaleIO": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "gateway": {
                                        "type": "string"
                                    },
                                    "protectionDomain": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object"
                                    },
                                    "sslEnabled": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "storageMode": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "storagePool": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "system": {
                                        "type": "string"
                                    },
                                    "volumeName": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "gateway",
                                    "secretRef",
                                    "system"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "secret": {
                                "properties": {
                                    "defaultMode": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "items": {
                                        "items": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "mode": {
                                                    "format": "int32",
                                                    "type": "integer",
                                                    "nullable": true
                                                },
                                                "path": {
                                                    "type": "string"
                                                }
                                            },
                                            "required": [
                                                "key",
                                                "path"
                                            ],
                                            "type": "object"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "optional": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretName": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "storageos": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readOnly": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "secretRef": {
                                        "properties": {
                                            "name": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "volumeName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "volumeNamespace": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "vsphereVolume": {
                                "properties": {
                                    "fsType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "storagePolicyID": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "storagePolicyName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "volumePath": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "volumePath"
                                ],
                                "type": "object",
                                "nullable": true
                            }
                        },
                        "required": [
                            "name"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "volumesMounts": {
                    "items": {
                        "properties": {
                            "mountPath": {
                                "type": "string"
                            },
                            "mountPropagation": {
                                "type": "string",
                                "nullable": true
                            },
                            "name": {
                                "type": "string"
                            },
                            "readOnly": {
                                "type": "boolean",
                                "nullable": true
                            },
                            "subPath": {
                                "type": "string",
                                "nullable": true
                            },
                            "subPathExpr": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "required": [
                            "mountPath",
                            "name"
                        ],
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        },
        "status": {
            "type": "object",
            "properties": {},
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * Collector is the Schema for the fluentbits API
 */
class Collector extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: Collector.apiVersion,
            kind: Collector.kind,
            ...data
        });
    }
}
exports.Collector = Collector;
Collector.apiVersion = "fluentbit.fluent.io/v1alpha2";
Collector.kind = "Collector";
Collector.is = (0, base_1.createTypeMetaGuard)(Collector);
(0, base_1.setSchema)(Collector, schemaId, () => {
    (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.addSchema)();
    (0, validate_1.register)(schemaId, schema);
});
