"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Output = void 0;
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta");
const base_1 = require("@kubernetes-models/base");
const validate_1 = require("@kubernetes-models/validate");
const schemaId = "fluentbit.fluent.io.v1alpha2.Output";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentbit.fluent.io/v1alpha2"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "Output"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "alias": {
                    "type": "string",
                    "nullable": true
                },
                "azureBlob": {
                    "properties": {
                        "accountName": {
                            "type": "string"
                        },
                        "autoCreateContainer": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "blobType": {
                            "type": "string",
                            "nullable": true
                        },
                        "containerName": {
                            "type": "string"
                        },
                        "emulatorMode": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "endpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "path": {
                            "type": "string",
                            "nullable": true
                        },
                        "sharedKey": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object"
                        },
                        "tls": {
                            "type": "boolean",
                            "nullable": true
                        }
                    },
                    "required": [
                        "accountName",
                        "containerName",
                        "sharedKey"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "azureLogAnalytics": {
                    "properties": {
                        "customerID": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object"
                        },
                        "logType": {
                            "type": "string",
                            "nullable": true
                        },
                        "sharedKey": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object"
                        },
                        "timeGenerated": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "required": [
                        "customerID",
                        "sharedKey"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "cloudWatch": {
                    "properties": {
                        "autoCreateGroup": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "autoRetryRequests": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "endpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "externalID": {
                            "type": "string",
                            "nullable": true
                        },
                        "logFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "logGroupName": {
                            "type": "string",
                            "nullable": true
                        },
                        "logGroupTemplate": {
                            "type": "string",
                            "nullable": true
                        },
                        "logKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "logRetentionDays": {
                            "enum": [
                                1,
                                3,
                                5,
                                7,
                                14,
                                30,
                                60,
                                90,
                                120,
                                150,
                                180,
                                365,
                                400,
                                545,
                                731,
                                1827,
                                3653
                            ],
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        },
                        "logStreamName": {
                            "type": "string",
                            "nullable": true
                        },
                        "logStreamPrefix": {
                            "type": "string",
                            "nullable": true
                        },
                        "logStreamTemplate": {
                            "type": "string",
                            "nullable": true
                        },
                        "metricDimensions": {
                            "type": "string",
                            "nullable": true
                        },
                        "metricNamespace": {
                            "type": "string",
                            "nullable": true
                        },
                        "region": {
                            "type": "string"
                        },
                        "roleArn": {
                            "type": "string",
                            "nullable": true
                        },
                        "stsEndpoint": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "required": [
                        "region"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "customPlugin": {
                    "properties": {
                        "config": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "datadog": {
                    "properties": {
                        "apikey": {
                            "type": "string",
                            "nullable": true
                        },
                        "compress": {
                            "type": "string",
                            "nullable": true
                        },
                        "dd_message_key": {
                            "type": "string",
                            "nullable": true
                        },
                        "dd_service": {
                            "type": "string",
                            "nullable": true
                        },
                        "dd_source": {
                            "type": "string",
                            "nullable": true
                        },
                        "dd_tags": {
                            "type": "string",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "include_tag_key": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "json_date_key": {
                            "type": "string",
                            "nullable": true
                        },
                        "provider": {
                            "type": "string",
                            "nullable": true
                        },
                        "proxy": {
                            "type": "string",
                            "nullable": true
                        },
                        "tag_key": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "type": "boolean",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "es": {
                    "properties": {
                        "awsAuth": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsExternalID": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsRegion": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsRoleARN": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsSTSEndpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "bufferSize": {
                            "type": "string",
                            "pattern": "^\\d+(k|K|KB|kb|m|M|MB|mb|g|G|GB|gb)?$",
                            "nullable": true
                        },
                        "cloudAuth": {
                            "type": "string",
                            "nullable": true
                        },
                        "cloudID": {
                            "type": "string",
                            "nullable": true
                        },
                        "currentTimeIndex": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "generateID": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "idKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "includeTagKey": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "index": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashDateFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashFormat": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "logstashPrefix": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashPrefixKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "path": {
                            "type": "string",
                            "nullable": true
                        },
                        "pipeline": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "replaceDots": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "suppressTypeName": {
                            "type": "string",
                            "nullable": true
                        },
                        "tagKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyNanos": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "traceError": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "traceOutput": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "type": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "file": {
                    "properties": {
                        "delimiter": {
                            "type": "string",
                            "nullable": true
                        },
                        "file": {
                            "type": "string",
                            "nullable": true
                        },
                        "format": {
                            "enum": [
                                "out_file",
                                "plain",
                                "csv",
                                "ltsv",
                                "template"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "labelDelimiter": {
                            "type": "string",
                            "nullable": true
                        },
                        "path": {
                            "type": "string",
                            "nullable": true
                        },
                        "template": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "firehose": {
                    "properties": {
                        "autoRetryRequests": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "dataKeys": {
                            "type": "string",
                            "nullable": true
                        },
                        "deliveryStream": {
                            "type": "string"
                        },
                        "endpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "logKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "region": {
                            "type": "string"
                        },
                        "roleARN": {
                            "type": "string",
                            "nullable": true
                        },
                        "stsEndpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyFormat": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "required": [
                        "deliveryStream",
                        "region"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "forward": {
                    "properties": {
                        "emptySharedKey": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "password": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "requireAckResponse": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "selfHostname": {
                            "type": "string",
                            "nullable": true
                        },
                        "sendOptions": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "sharedKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeAsInteger": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "username": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "http": {
                    "properties": {
                        "allowDuplicatedHeaders": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "compress": {
                            "type": "string",
                            "nullable": true
                        },
                        "format": {
                            "enum": [
                                "msgpack",
                                "json",
                                "json_stream",
                                "json_lines",
                                "gelf"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "gelfFullMessageKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "gelfHostKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "gelfLevelKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "gelfShortMessageKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "gelfTimestampKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "headerTag": {
                            "type": "string",
                            "nullable": true
                        },
                        "headers": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "jsonDateFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "jsonDateKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "proxy": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "uri": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "influxDB": {
                    "properties": {
                        "autoTags": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "bucket": {
                            "type": "string",
                            "nullable": true
                        },
                        "database": {
                            "type": "string",
                            "nullable": true
                        },
                        "host": {
                            "format": "ipv6",
                            "type": "string"
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpToken": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "org": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 65536,
                            "nullable": true
                        },
                        "sequenceTag": {
                            "type": "string",
                            "nullable": true
                        },
                        "tagKeys": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "tagListKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "tagsListEnabled": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "required": [
                        "host"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "kafka": {
                    "properties": {
                        "brokers": {
                            "type": "string",
                            "nullable": true
                        },
                        "dynamicTopic": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "format": {
                            "type": "string",
                            "nullable": true
                        },
                        "messageKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "messageKeyField": {
                            "type": "string",
                            "nullable": true
                        },
                        "queueFullRetries": {
                            "format": "int64",
                            "type": "integer",
                            "nullable": true
                        },
                        "rdkafka": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "timestampFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timestampKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "topicKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "topics": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "kinesis": {
                    "properties": {
                        "autoRetryRequests": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "endpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "externalID": {
                            "type": "string",
                            "nullable": true
                        },
                        "logKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "region": {
                            "type": "string"
                        },
                        "roleARN": {
                            "type": "string",
                            "nullable": true
                        },
                        "stream": {
                            "type": "string"
                        },
                        "stsEndpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyFormat": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "required": [
                        "region",
                        "stream"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "logLevel": {
                    "enum": [
                        "off",
                        "error",
                        "warning",
                        "info",
                        "debug",
                        "trace"
                    ],
                    "type": "string",
                    "nullable": true
                },
                "loki": {
                    "properties": {
                        "autoKubernetesLabels": {
                            "enum": [
                                "on",
                                "off"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "dropSingleKey": {
                            "enum": [
                                "on",
                                "off"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "host": {
                            "type": "string"
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "labelKeys": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "labelMapPath": {
                            "type": "string",
                            "nullable": true
                        },
                        "labels": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "lineFormat": {
                            "enum": [
                                "json",
                                "key_value"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "removeKeys": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "tenantID": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "tenantIDKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "required": [
                        "host"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "match": {
                    "type": "string",
                    "nullable": true
                },
                "matchRegex": {
                    "type": "string",
                    "nullable": true
                },
                "null": {
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "opensearch": {
                    "properties": {
                        "Workers": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        },
                        "awsAuth": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsExternalID": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsRegion": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsRoleARN": {
                            "type": "string",
                            "nullable": true
                        },
                        "awsSTSEndpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "bufferSize": {
                            "type": "string",
                            "pattern": "^\\d+(k|K|KB|kb|m|M|MB|mb|g|G|GB|gb)?$",
                            "nullable": true
                        },
                        "currentTimeIndex": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "generateID": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "idKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "includeTagKey": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "index": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashDateFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashFormat": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "logstashPrefix": {
                            "type": "string",
                            "nullable": true
                        },
                        "logstashPrefixKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "path": {
                            "type": "string",
                            "nullable": true
                        },
                        "pipeline": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "replaceDots": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "suppressTypeName": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "tagKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeyNanos": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "totalLimitSize": {
                            "type": "string",
                            "nullable": true
                        },
                        "traceError": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "traceOutput": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "type": {
                            "type": "string",
                            "nullable": true
                        },
                        "writeOperation": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "opentelemetry": {
                    "properties": {
                        "addLabel": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "header": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "logResponsePayload": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "logsUri": {
                            "type": "string",
                            "nullable": true
                        },
                        "metricsUri": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "proxy": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "tracesUri": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "prometheusRemoteWrite": {
                    "properties": {
                        "addLabels": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "headers": {
                            "additionalProperties": {
                                "type": "string"
                            },
                            "type": "object",
                            "properties": {},
                            "nullable": true
                        },
                        "host": {
                            "type": "string"
                        },
                        "httpPasswd": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "logResponsePayload": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "proxy": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "uri": {
                            "type": "string",
                            "nullable": true
                        },
                        "workers": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        }
                    },
                    "required": [
                        "host"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "retry_limit": {
                    "type": "string",
                    "nullable": true
                },
                "s3": {
                    "properties": {
                        "AutoRetryRequests": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "Bucket": {
                            "type": "string"
                        },
                        "CannedAcl": {
                            "type": "string",
                            "nullable": true
                        },
                        "Compression": {
                            "type": "string",
                            "nullable": true
                        },
                        "ContentType": {
                            "type": "string",
                            "nullable": true
                        },
                        "Endpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "ExternalId": {
                            "type": "string",
                            "nullable": true
                        },
                        "JsonDateFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "JsonDateKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "LogKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "PreserveDataOrdering": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "Region": {
                            "type": "string"
                        },
                        "RetryLimit": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        },
                        "RoleArn": {
                            "type": "string",
                            "nullable": true
                        },
                        "S3KeyFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "S3KeyFormatTagDelimiters": {
                            "type": "string",
                            "nullable": true
                        },
                        "SendContentMd5": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "StaticFilePath": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "StorageClass": {
                            "type": "string",
                            "nullable": true
                        },
                        "StoreDir": {
                            "type": "string",
                            "nullable": true
                        },
                        "StoreDirLimitSize": {
                            "type": "string",
                            "nullable": true
                        },
                        "StsEndpoint": {
                            "type": "string",
                            "nullable": true
                        },
                        "TotalFileSize": {
                            "type": "string",
                            "nullable": true
                        },
                        "UploadChunkSize": {
                            "type": "string",
                            "nullable": true
                        },
                        "UploadTimeout": {
                            "type": "string",
                            "nullable": true
                        },
                        "UsePutObject": {
                            "type": "boolean",
                            "nullable": true
                        }
                    },
                    "required": [
                        "Bucket",
                        "Region"
                    ],
                    "type": "object",
                    "nullable": true
                },
                "splunk": {
                    "properties": {
                        "Workers": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        },
                        "channel": {
                            "type": "string",
                            "nullable": true
                        },
                        "compress": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventFields": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "eventHost": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventIndex": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventIndexKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventSource": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventSourcetype": {
                            "type": "string",
                            "nullable": true
                        },
                        "eventSourcetypeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "httpBufferSize": {
                            "type": "string",
                            "pattern": "^\\d+(k|K|KB|kb|m|M|MB|mb|g|G|GB|gb)?$",
                            "nullable": true
                        },
                        "httpDebugBadRequest": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "httpPassword": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "httpUser": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "splunkSendRaw": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "splunkToken": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "stackdriver": {
                    "properties": {
                        "autoformatStackdriverTrace": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "customK8sRegex": {
                            "type": "string",
                            "nullable": true
                        },
                        "exportToProjectID": {
                            "type": "string",
                            "nullable": true
                        },
                        "googleServiceCredentials": {
                            "type": "string",
                            "nullable": true
                        },
                        "job": {
                            "type": "string",
                            "nullable": true
                        },
                        "k8sClusterLocation": {
                            "type": "string",
                            "nullable": true
                        },
                        "k8sClusterName": {
                            "type": "string",
                            "nullable": true
                        },
                        "labels": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "labelsKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "location": {
                            "type": "string",
                            "nullable": true
                        },
                        "logNameKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "metadataServer": {
                            "type": "string",
                            "nullable": true
                        },
                        "namespace": {
                            "type": "string",
                            "nullable": true
                        },
                        "nodeID": {
                            "type": "string",
                            "nullable": true
                        },
                        "resource": {
                            "type": "string",
                            "nullable": true
                        },
                        "resourceLabels": {
                            "items": {
                                "type": "string"
                            },
                            "type": "array",
                            "nullable": true
                        },
                        "serviceAccountEmail": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "serviceAccountSecret": {
                            "properties": {
                                "valueFrom": {
                                    "properties": {
                                        "secretKeyRef": {
                                            "properties": {
                                                "key": {
                                                    "type": "string"
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "optional": {
                                                    "type": "boolean",
                                                    "nullable": true
                                                }
                                            },
                                            "required": [
                                                "key"
                                            ],
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        },
                        "severityKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "tagPrefix": {
                            "type": "string",
                            "nullable": true
                        },
                        "taskID": {
                            "type": "string",
                            "nullable": true
                        },
                        "workers": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "stdout": {
                    "properties": {
                        "format": {
                            "enum": [
                                "msgpack",
                                "json",
                                "json_lines",
                                "json_stream"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "jsonDateFormat": {
                            "enum": [
                                "double",
                                "iso8601",
                                "epoch"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "jsonDateKey": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "syslog": {
                    "properties": {
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "mode": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "syslogAppnameKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogFacilityKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogHostnameKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogMaxSize": {
                            "format": "int32",
                            "type": "integer",
                            "nullable": true
                        },
                        "syslogMessageIDKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogMessageKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogProcessIDKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogSDKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "syslogSeverityKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "tcp": {
                    "properties": {
                        "format": {
                            "enum": [
                                "msgpack",
                                "json",
                                "json_lines",
                                "json_stream"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "host": {
                            "type": "string",
                            "nullable": true
                        },
                        "jsonDateFormat": {
                            "enum": [
                                "double",
                                "epoch",
                                "iso8601"
                            ],
                            "type": "string",
                            "nullable": true
                        },
                        "jsonDateKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "port": {
                            "format": "int32",
                            "type": "integer",
                            "minimum": 1,
                            "maximum": 65535,
                            "nullable": true
                        },
                        "tls": {
                            "properties": {
                                "caFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "caPath": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "crtFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "debug": {
                                    "enum": [
                                        0,
                                        1,
                                        2,
                                        3,
                                        4
                                    ],
                                    "format": "int32",
                                    "type": "integer",
                                    "nullable": true
                                },
                                "keyFile": {
                                    "type": "string",
                                    "nullable": true
                                },
                                "keyPassword": {
                                    "properties": {
                                        "valueFrom": {
                                            "properties": {
                                                "secretKeyRef": {
                                                    "properties": {
                                                        "key": {
                                                            "type": "string"
                                                        },
                                                        "name": {
                                                            "type": "string",
                                                            "nullable": true
                                                        },
                                                        "optional": {
                                                            "type": "boolean",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "required": [
                                                        "key"
                                                    ],
                                                    "type": "object",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object",
                                            "nullable": true
                                        }
                                    },
                                    "type": "object",
                                    "nullable": true
                                },
                                "verify": {
                                    "type": "boolean",
                                    "nullable": true
                                },
                                "vhost": {
                                    "type": "string",
                                    "nullable": true
                                }
                            },
                            "type": "object",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * Output is the schema for namespace level output API
 */
class Output extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: Output.apiVersion,
            kind: Output.kind,
            ...data
        });
    }
}
exports.Output = Output;
Output.apiVersion = "fluentbit.fluent.io/v1alpha2";
Output.kind = "Output";
Output.is = (0, base_1.createTypeMetaGuard)(Output);
(0, base_1.setSchema)(Output, schemaId, () => {
    (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.addSchema)();
    (0, validate_1.register)(schemaId, schema);
});
