import { addSchema } from "@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta";
import { Model, setSchema, createTypeMetaGuard } from "@kubernetes-models/base";
import { register } from "@kubernetes-models/validate";
const schemaId = "fluentbit.fluent.io.v1alpha2.Parser";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentbit.fluent.io/v1alpha2"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "Parser"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "decoders": {
                    "items": {
                        "properties": {
                            "decodeField": {
                                "type": "string",
                                "nullable": true
                            },
                            "decodeFieldAs": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                },
                "json": {
                    "properties": {
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "logfmt": {
                    "type": "object",
                    "properties": {},
                    "nullable": true
                },
                "ltsv": {
                    "properties": {
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "types": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                },
                "regex": {
                    "properties": {
                        "regex": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeFormat": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeKeep": {
                            "type": "boolean",
                            "nullable": true
                        },
                        "timeKey": {
                            "type": "string",
                            "nullable": true
                        },
                        "timeOffset": {
                            "type": "string",
                            "nullable": true
                        },
                        "types": {
                            "type": "string",
                            "nullable": true
                        }
                    },
                    "type": "object",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * Parser is the Schema for namespace level parser API
 */
export class Parser extends Model {
    constructor(data) {
        super({
            apiVersion: Parser.apiVersion,
            kind: Parser.kind,
            ...data
        });
    }
}
Parser.apiVersion = "fluentbit.fluent.io/v1alpha2";
Parser.kind = "Parser";
Parser.is = createTypeMetaGuard(Parser);
setSchema(Parser, schemaId, () => {
    addSchema();
    register(schemaId, schema);
});
