"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClusterOutput = void 0;
const IoK8sApimachineryPkgApisMetaV1ObjectMeta_1 = require("@kubernetes-models/apimachinery/_schemas/IoK8sApimachineryPkgApisMetaV1ObjectMeta");
const base_1 = require("@kubernetes-models/base");
const validate_1 = require("@kubernetes-models/validate");
const schemaId = "fluentd.fluent.io.v1alpha1.ClusterOutput";
const schema = {
    "type": "object",
    "properties": {
        "apiVersion": {
            "type": "string",
            "enum": [
                "fluentd.fluent.io/v1alpha1"
            ]
        },
        "kind": {
            "type": "string",
            "enum": [
                "ClusterOutput"
            ]
        },
        "metadata": {
            "oneOf": [
                {
                    "$ref": "io.k8s.apimachinery.pkg.apis.meta.v1.ObjectMeta#"
                },
                {
                    "type": "null"
                }
            ]
        },
        "spec": {
            "properties": {
                "outputs": {
                    "items": {
                        "properties": {
                            "buffer": {
                                "properties": {
                                    "calcNumRecords": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "chunkFormat": {
                                        "enum": [
                                            "msgpack",
                                            "text",
                                            "auto"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "chunkLimitRecords": {
                                        "type": "string",
                                        "pattern": "^\\d+(KB|MB|GB|TB)$",
                                        "nullable": true
                                    },
                                    "chunkLimitSize": {
                                        "type": "string",
                                        "pattern": "^\\d+(KB|MB|GB|TB)$",
                                        "nullable": true
                                    },
                                    "compress": {
                                        "enum": [
                                            "text",
                                            "gzip"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "delayedCommitTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "disableChunkBackup": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "flushAtShutdown": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "flushInterval": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "flushMode": {
                                        "enum": [
                                            "default",
                                            "lazy",
                                            "interval",
                                            "immediate"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "flushThreadCount": {
                                        "type": "string",
                                        "pattern": "^\\d+$",
                                        "nullable": true
                                    },
                                    "id": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "localtime": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "logLevel": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "overflowAction": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "path": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "pathSuffix": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "queueLimitLength": {
                                        "type": "string",
                                        "pattern": "^\\d+.?\\d+$",
                                        "nullable": true
                                    },
                                    "queuedChunksLimitSize": {
                                        "type": "integer",
                                        "minimum": 1,
                                        "nullable": true
                                    },
                                    "retryExponentialBackoffBase": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?$",
                                        "nullable": true
                                    },
                                    "retryForever": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "retryMaxInterval": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "retryMaxTimes": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "retryRandomize": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "retrySecondaryThreshold": {
                                        "type": "string",
                                        "pattern": "^\\d+.?\\d+$",
                                        "nullable": true
                                    },
                                    "retryTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "retryType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "retryWait": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "tag": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeFormat": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeFormatFallbacks": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeType": {
                                        "enum": [
                                            "float",
                                            "unixtime",
                                            "string",
                                            "mixed"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timekey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timekeyWait": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timezone": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "totalLimitSize": {
                                        "type": "string",
                                        "pattern": "^\\d+(KB|MB|GB|TB)$",
                                        "nullable": true
                                    },
                                    "type": {
                                        "enum": [
                                            "file",
                                            "memory",
                                            "file_single"
                                        ],
                                        "type": "string"
                                    },
                                    "utc": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "type"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "cloudWatch": {
                                "properties": {
                                    "autoCreateStream": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "awsEcsAuthentication": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "awsKeyId": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "awsSecKey": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "awsStsDurationSeconds": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsStsEndpointUrl": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsStsExternalId": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsStsPolicy": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsStsRoleArn": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsStsSessionName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsUseSts": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "concurrency": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "durationSeconds": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "endpoint": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "httpProxy": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "includeTimeKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "jsonHandler": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "localtime": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "logGroupAwsTags": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logGroupAwsTagsKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logGroupName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logGroupNameKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logRejectedRequest": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logStreamName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logStreamNameKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "maxEventsPerBatch": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "maxMessageLength": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "messageKeys": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "policy": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "putLogEventsDisableRetryLimit": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "putLogEventsRetryLimit": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "putLogEventsRetryWait": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "region": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "removeLogGroupAwsTagsKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "removeLogGroupNameKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "removeLogStreamNameKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "removeRetentionInDaysKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "retentionInDays": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "retentionInDaysKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "roleArn": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "roleSessionName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "sslVerifyPeer": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "useTagAsGroup": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "useTagAsStream": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "webIdentityTokenFile": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "customPlugin": {
                                "properties": {
                                    "config": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "config"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "datadog": {
                                "properties": {
                                    "apiKey": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "compressionLevel": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "ddHostname": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "ddSource": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "ddSourcecategory": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "ddTags": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "host": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "httpProxy": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "includeTagKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "maxBackoff": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "maxRetries": {
                                        "format": "int32",
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "noSSLValidation": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "port": {
                                        "format": "int32",
                                        "type": "integer",
                                        "minimum": 1,
                                        "maximum": 65535,
                                        "nullable": true
                                    },
                                    "service": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "sslPort": {
                                        "format": "int32",
                                        "type": "integer",
                                        "minimum": 1,
                                        "maximum": 65535,
                                        "nullable": true
                                    },
                                    "tagKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timestampKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "useCompression": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "useHTTP": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "useJson": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "useSSL": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "elasticsearch": {
                                "properties": {
                                    "host": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "hosts": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "indexName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logstashFormat": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "logstashPrefix": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "password": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "path": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "port": {
                                        "format": "int32",
                                        "type": "integer",
                                        "minimum": 1,
                                        "maximum": 65535,
                                        "nullable": true
                                    },
                                    "scheme": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "user": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "format": {
                                "properties": {
                                    "delimiter": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "id": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "localtime": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "logLevel": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "newline": {
                                        "enum": [
                                            "lf",
                                            "crlf"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "outputTag": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "outputTime": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "timeFormat": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeFormatFallbacks": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeType": {
                                        "enum": [
                                            "float",
                                            "unixtime",
                                            "string",
                                            "mixed"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timezone": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "type": {
                                        "enum": [
                                            "out_file",
                                            "json",
                                            "ltsv",
                                            "csv",
                                            "msgpack",
                                            "hash",
                                            "single_value"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "utc": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "forward": {
                                "properties": {
                                    "ackResponseTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "connectTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "dnsRoundRobin": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "expireDnsCache": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "hardTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "heartbeatInterval": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "heartbeatType": {
                                        "enum": [
                                            "transport",
                                            "tcp",
                                            "udp",
                                            "none"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "ignoreNetworkErrorsAtStartup": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "keepalive": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "keepaliveTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "phiFailureDetector": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "phiThreshold": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "recoverWait": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "requireAckResponse": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "security": {
                                        "properties": {
                                            "allowAnonymousSource": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "selfHostname": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "sharedKey": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "user": {
                                                "properties": {
                                                    "password": {
                                                        "properties": {
                                                            "valueFrom": {
                                                                "properties": {
                                                                    "secretKeyRef": {
                                                                        "properties": {
                                                                            "key": {
                                                                                "type": "string"
                                                                            },
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "key"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "username": {
                                                        "properties": {
                                                            "valueFrom": {
                                                                "properties": {
                                                                    "secretKeyRef": {
                                                                        "properties": {
                                                                            "key": {
                                                                                "type": "string"
                                                                            },
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "key"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "userAuth": {
                                                "type": "string",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "sendTimeout": {
                                        "type": "string",
                                        "pattern": "^\\d+(\\.[0-9]{0,2})?(s|m|h|d)?$",
                                        "nullable": true
                                    },
                                    "servers": {
                                        "items": {
                                            "properties": {
                                                "host": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "id": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "logLevel": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "name": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "password": {
                                                    "properties": {
                                                        "valueFrom": {
                                                            "properties": {
                                                                "secretKeyRef": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "name": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "optional": {
                                                                            "type": "boolean",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key"
                                                                    ],
                                                                    "type": "object",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "type": "object",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "port": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "sharedKey": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "standby": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "type": {
                                                    "type": "string",
                                                    "nullable": true
                                                },
                                                "username": {
                                                    "properties": {
                                                        "valueFrom": {
                                                            "properties": {
                                                                "secretKeyRef": {
                                                                    "properties": {
                                                                        "key": {
                                                                            "type": "string"
                                                                        },
                                                                        "name": {
                                                                            "type": "string",
                                                                            "nullable": true
                                                                        },
                                                                        "optional": {
                                                                            "type": "boolean",
                                                                            "nullable": true
                                                                        }
                                                                    },
                                                                    "required": [
                                                                        "key"
                                                                    ],
                                                                    "type": "object",
                                                                    "nullable": true
                                                                }
                                                            },
                                                            "type": "object",
                                                            "nullable": true
                                                        }
                                                    },
                                                    "type": "object",
                                                    "nullable": true
                                                },
                                                "weight": {
                                                    "type": "string",
                                                    "nullable": true
                                                }
                                            },
                                            "type": "object"
                                        },
                                        "type": "array"
                                    },
                                    "serviceDiscovery": {
                                        "properties": {
                                            "confEncoding": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "dnsLookup": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "dnsServerHost": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "hostname": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "id": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "interval": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "logLevel": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "path": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "proto": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "server": {
                                                "properties": {
                                                    "host": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "id": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "logLevel": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "name": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "password": {
                                                        "properties": {
                                                            "valueFrom": {
                                                                "properties": {
                                                                    "secretKeyRef": {
                                                                        "properties": {
                                                                            "key": {
                                                                                "type": "string"
                                                                            },
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "key"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "port": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "sharedKey": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "standby": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "type": {
                                                        "type": "string",
                                                        "nullable": true
                                                    },
                                                    "username": {
                                                        "properties": {
                                                            "valueFrom": {
                                                                "properties": {
                                                                    "secretKeyRef": {
                                                                        "properties": {
                                                                            "key": {
                                                                                "type": "string"
                                                                            },
                                                                            "name": {
                                                                                "type": "string",
                                                                                "nullable": true
                                                                            },
                                                                            "optional": {
                                                                                "type": "boolean",
                                                                                "nullable": true
                                                                            }
                                                                        },
                                                                        "required": [
                                                                            "key"
                                                                        ],
                                                                        "type": "object",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    },
                                                    "weight": {
                                                        "type": "string",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "service": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "type": {
                                                "enum": [
                                                    "static",
                                                    "file",
                                                    "srv"
                                                ],
                                                "type": "string"
                                            }
                                        },
                                        "required": [
                                            "type"
                                        ],
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "tlsAllowSelfSignedCert": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "tlsCertLogicalStoreName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsCertPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsCertThumbprint": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsCertUseEnterpriseStore": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "tlsCiphers": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsClientCertPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsClientPrivateKeyPassphrase": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsClientPrivateKeyPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsInsecureMode": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "tlsVerifyHostname": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "tlsVersion": {
                                        "enum": [
                                            "TLSv1_1",
                                            "TLSv1_2"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "verifyConnectionAtStartup": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "required": [
                                    "servers"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "http": {
                                "properties": {
                                    "auth": {
                                        "properties": {
                                            "auth": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "password": {
                                                "properties": {
                                                    "valueFrom": {
                                                        "properties": {
                                                            "secretKeyRef": {
                                                                "properties": {
                                                                    "key": {
                                                                        "type": "string"
                                                                    },
                                                                    "name": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "optional": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "key"
                                                                ],
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            },
                                            "username": {
                                                "properties": {
                                                    "valueFrom": {
                                                        "properties": {
                                                            "secretKeyRef": {
                                                                "properties": {
                                                                    "key": {
                                                                        "type": "string"
                                                                    },
                                                                    "name": {
                                                                        "type": "string",
                                                                        "nullable": true
                                                                    },
                                                                    "optional": {
                                                                        "type": "boolean",
                                                                        "nullable": true
                                                                    }
                                                                },
                                                                "required": [
                                                                    "key"
                                                                ],
                                                                "type": "object",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "contentType": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "endpoint": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "errorResponseAsUnrecoverable": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "headers": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "headersFromPlaceholders": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "httpMethod": {
                                        "enum": [
                                            "post",
                                            "put"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "jsonArray": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "openTimeout": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "proxy": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "readTimeout": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "retryableResponseCodes": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "sslTimeout": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "tlsCaCertPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsCiphers": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsClientCertPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsPrivateKeyPassphrase": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsPrivateKeyPath": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsVerifyMode": {
                                        "enum": [
                                            "peer",
                                            "none"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsVersion": {
                                        "enum": [
                                            "TLSv1_1",
                                            "TLSv1_2"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "inject": {
                                "properties": {
                                    "hostname": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "hostnameKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "inline": {
                                        "properties": {
                                            "localtime": {
                                                "type": "boolean",
                                                "nullable": true
                                            },
                                            "timeFormat": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "timeFormatFallbacks": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "timeType": {
                                                "enum": [
                                                    "float",
                                                    "unixtime",
                                                    "string",
                                                    "mixed"
                                                ],
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "timezone": {
                                                "type": "string",
                                                "nullable": true
                                            },
                                            "utc": {
                                                "type": "boolean",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "tagKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "timeKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "workerIdKey": {
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "kafka": {
                                "properties": {
                                    "brokers": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "compressionCodec": {
                                        "enum": [
                                            "gzip",
                                            "snappy"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "defaultTopic": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "requiredAcks": {
                                        "type": "integer",
                                        "nullable": true
                                    },
                                    "topicKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "useEventTime": {
                                        "type": "boolean",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "logLevel": {
                                "type": "string",
                                "nullable": true
                            },
                            "loki": {
                                "properties": {
                                    "dropSingleKey": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "extractKubernetesLabels": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "httpPassword": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "httpUser": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "includeThreadLabel": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "insecure": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "labelKeys": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "labels": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "lineFormat": {
                                        "enum": [
                                            "json",
                                            "key_value"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "removeKeys": {
                                        "items": {
                                            "type": "string"
                                        },
                                        "type": "array",
                                        "nullable": true
                                    },
                                    "tenantID": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "tlsCaCertFile": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsClientCertFile": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "tlsPrivateKeyFile": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "url": {
                                        "type": "string"
                                    }
                                },
                                "required": [
                                    "url"
                                ],
                                "type": "object",
                                "nullable": true
                            },
                            "opensearch": {
                                "properties": {
                                    "host": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "hosts": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "indexName": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "logstashFormat": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "logstashPrefix": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "password": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    },
                                    "path": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "port": {
                                        "format": "int32",
                                        "type": "integer",
                                        "minimum": 1,
                                        "maximum": 65535,
                                        "nullable": true
                                    },
                                    "scheme": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "user": {
                                        "properties": {
                                            "valueFrom": {
                                                "properties": {
                                                    "secretKeyRef": {
                                                        "properties": {
                                                            "key": {
                                                                "type": "string"
                                                            },
                                                            "name": {
                                                                "type": "string",
                                                                "nullable": true
                                                            },
                                                            "optional": {
                                                                "type": "boolean",
                                                                "nullable": true
                                                            }
                                                        },
                                                        "required": [
                                                            "key"
                                                        ],
                                                        "type": "object",
                                                        "nullable": true
                                                    }
                                                },
                                                "type": "object",
                                                "nullable": true
                                            }
                                        },
                                        "type": "object",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "s3": {
                                "properties": {
                                    "awsKeyId": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "awsSecKey": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "path": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "proxyUri": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "s3Bucket": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "s3ObjectKeyFormat": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "s3Region": {
                                        "type": "string",
                                        "nullable": true
                                    },
                                    "sslVerifyPeer": {
                                        "type": "boolean",
                                        "nullable": true
                                    },
                                    "storeAs": {
                                        "enum": [
                                            "gzip",
                                            "lzo",
                                            "json",
                                            "txt"
                                        ],
                                        "type": "string",
                                        "nullable": true
                                    }
                                },
                                "type": "object",
                                "nullable": true
                            },
                            "stdout": {
                                "type": "object",
                                "properties": {},
                                "nullable": true
                            },
                            "tag": {
                                "type": "string",
                                "nullable": true
                            }
                        },
                        "type": "object"
                    },
                    "type": "array",
                    "nullable": true
                }
            },
            "type": "object",
            "nullable": true
        },
        "status": {
            "type": "object",
            "properties": {},
            "nullable": true
        }
    },
    "required": [
        "apiVersion",
        "kind"
    ]
};
/**
 * ClusterOutput is the Schema for the clusteroutputs API
 */
class ClusterOutput extends base_1.Model {
    constructor(data) {
        super({
            apiVersion: ClusterOutput.apiVersion,
            kind: ClusterOutput.kind,
            ...data
        });
    }
}
exports.ClusterOutput = ClusterOutput;
ClusterOutput.apiVersion = "fluentd.fluent.io/v1alpha1";
ClusterOutput.kind = "ClusterOutput";
ClusterOutput.is = (0, base_1.createTypeMetaGuard)(ClusterOutput);
(0, base_1.setSchema)(ClusterOutput, schemaId, () => {
    (0, IoK8sApimachineryPkgApisMetaV1ObjectMeta_1.addSchema)();
    (0, validate_1.register)(schemaId, schema);
});
